diff -u -r coreutils-5.97.bak/tests/sha384sum/basic-1 coreutils-5.97/tests/sha384sum/basic-1
--- coreutils-5.97.bak/tests/sha384sum/basic-1	2006-08-25 19:44:38.677990000 -0400
+++ coreutils-5.97/tests/sha384sum/basic-1	2006-08-25 20:00:28.711265183 -0400
@@ -3,6 +3,10 @@
 : ${PERL=perl}
 : ${srcdir=.}
 
+if [ `dpkg-architecture -qDEB_HOST_ARCH` = s390 ] ; then
+  exit 77
+fi
+
 $PERL -e 1 > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
diff -u -r coreutils-5.97.bak/tests/sha512sum/basic-1 coreutils-5.97/tests/sha512sum/basic-1
--- coreutils-5.97.bak/tests/sha512sum/basic-1	2006-08-25 19:44:38.677990000 -0400
+++ coreutils-5.97/tests/sha512sum/basic-1	2006-08-25 20:00:40.435288251 -0400
@@ -3,6 +3,10 @@
 : ${PERL=perl}
 : ${srcdir=.}
 
+if [ `dpkg-architecture -qDEB_HOST_ARCH` = s390 ] ; then
+  exit 77
+fi
+
 $PERL -e 1 > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
